aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEd Bartosh <ed.bartosh@linux.intel.com>2016-06-10 10:43:52 +0300
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-06-12 23:42:40 +0100
commit0632c3e69070e340218c1c1c835b2343cd143d8d (patch)
tree74d724adc2d50ac6f3494276b8cd828e89811b90
parent9f539d03138817b7b740ed1895000704e4a475d0 (diff)
downloadopenembedded-core-contrib-0632c3e69070e340218c1c1c835b2343cd143d8d.tar.gz
openembedded-core-contrib-0632c3e69070e340218c1c1c835b2343cd143d8d.tar.bz2
openembedded-core-contrib-0632c3e69070e340218c1c1c835b2343cd143d8d.zip
buildhistory-diff: suggest correct version of PythonGit
If buildhistory-diff can't import git module it throws error message suggesting to install it. Due to the move to Python 3 the suggested package name and version became outdated. Changed package name to python3-git and version to >= 0.3.4 as GitPython supports Python 3 starting from 0.3.4. [YOCTO #9741] Signed-off-by: Ed Bartosh <ed.bartosh@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
-rwxr-xr-xscripts/buildhistory-diff2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/buildhistory-diff b/scripts/buildhistory-diff
index dc8b8f236e7..d8ca12d3e66 100755
--- a/scripts/buildhistory-diff
+++ b/scripts/buildhistory-diff
@@ -14,7 +14,7 @@ from distutils.version import LooseVersion
try:
import git
except ImportError:
- print("Please install GitPython (python-git) 0.3.1 or later in order to use this script")
+ print("Please install GitPython (python3-git) 0.3.4 or later in order to use this script")
sys.exit(1)
def main():